package com.tenlionsoft.baselib.core.beans;

import java.util.List;

/**
 * 作者: adam
 * 日期: 2020/6/4 - 3:01 PM
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class EditUserInfo {

    /**
     * avatar : string
     * email : string
     * name : string
     * phone : string
     * userInfos : [{"key":"string","value":"string"}]
     */

    private String avatar;
    private String email;
    private String name;
    private String phone;
    private List<UserInfosBean> userInfos;

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<UserInfosBean> getUserInfos() {
        return userInfos;
    }

    public void setUserInfos(List<UserInfosBean> userInfos) {
        this.userInfos = userInfos;
    }

    public static class UserInfosBean {
        /**
         * key : string
         * value : string
         */

        private String key;
        private String value;

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
}
